/Website/Domain/{domainId}/Directories (GET)
GET
/Website/Domain/{domainId}/Directories
const url = 'https://api.chatfood.app/Website/Domain/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Directories';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.chatfood.app/Website/Domain/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Directories \ --header 'Authorization: Bearer <token>'Authorizations
Seção intitulada “Authorizations”Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”domainId
required
string format: uuid
Responses
Seção intitulada “Responses”OK
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
domainId
string format: uuid
path
string
name
string
weight
integer format: int32
metricsEnabled
boolean
utmCampaignValue
string
utmTermValue
string
utmContentValue
string
categories
Array<object>
object
categoryId
string format: uuid
weight
integer format: int32
Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
domainId
string format: uuid
path
string
name
string
weight
integer format: int32
metricsEnabled
boolean
utmCampaignValue
string
utmTermValue
string
utmContentValue
string
categories
Array<object>
object
categoryId
string format: uuid
weight
integer format: int32
Examplegenerated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "domainId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "path": "example", "name": "example", "weight": 1, "metricsEnabled": true, "utmCampaignValue": "example", "utmTermValue": "example", "utmContentValue": "example", "categories": [ { "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "weight": 1 } ] }]Array<object>
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
domainId
string format: uuid
path
string
name
string
weight
integer format: int32
metricsEnabled
boolean
utmCampaignValue
string
utmTermValue
string
utmContentValue
string
categories
Array<object>
object
categoryId
string format: uuid
weight
integer format: int32
Examplegenerated
[ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "domainId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "path": "example", "name": "example", "weight": 1, "metricsEnabled": true, "utmCampaignValue": "example", "utmTermValue": "example", "utmContentValue": "example", "categories": [ { "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "weight": 1 } ] }]